# ASSIGNMENT 6 : Ansible
_________________________________
`````
The Assignment
Configure sftp server with user name - your name, only that user can access sftp.
create following directories on sftp
files
success
fail
Upload files to sftp server in files directory.
rachit_10.csv
anc_11.csv
abc_12.csv
Set incron on sftp server.
incron will execute a shel script that will perform below task.
validate files uploaded in sftp in files directory
validation -
file name should match the number of records  in the files.
For example - rachit_10.csv will have 10 records of string rachit.
If file validation returns true, copy that file in success folder else in fail folder.
List all the sccuess and failed files using ansible
`````

## Task:1 - Create SFTP Server

    ![](photo/server_sftp.png)

## Task:2 - Configure sftp server with user name - your name, only that user can access sftp.

    ![](photo/server_configuration.png)

## Task:3 - create following directories on sftp

1. files
2. success
3. fail

    ![](photo/dir_create.png)

## Task:4 - Upload files to sftp server in files directory.










https://stackoverflow.com/questions/55840117/ansible-raw-module-how-to-handle-the-password-prompt-on-sftp-scp


basename file.csv .csv